QwtPlotDict(3)

NAME
QwtPlotDict -

SYNOPSIS

#include <qwt_plot_dict.h>

Inherited by QwtPlot.

  Public Member Functions
QwtPlotDict ()
virtual ~QwtPlotDict ()
bool autoDelete () const
void detachItems (int rtti=QwtPlotItem::Rtti_PlotItem, bool autoDelete=true)
const QwtPlotItemList & itemList () const
QwtPlotItemList itemList (int rtti) const
void setAutoDelete (bool)

  Friends
class QwtPlotItem

Detailed Description

A dictionary for plot items. QwtPlotDict organizes plot items in increasing z-order. If autoDelete() is enabled, all attached items will be deleted in the destructor of the dictionary. QwtPlotDict can be used to get access to all QwtPlotItem items - or all items of a specific type - that are currently on the plot.

See also:
    QwtPlotItem::attach(), QwtPlotItem::detach(), QwtPlotItem::z()

Constructor & Destructor Documentation

  QwtPlotDict::QwtPlotDict () [explicit]
Constructor

Auto deletion is enabled.

See also:
    setAutoDelete(), attachItem()

  QwtPlotDict::~QwtPlotDict () [virtual]
Destructor

If autoDelete is on, all attached items will be deleted

See also:
    setAutoDelete(), autoDelete(), attachItem()

Member Function Documentation

  bool QwtPlotDict::autoDelete () const
Returns:
    true if auto deletion is enabled

See also:
    setAutoDelete(), attachItem()

  void QwtPlotDict::detachItems (intrtti = QwtPlotItem::Rtti_PlotItem, boolautoDelete = true)
Detach items from the dictionary

Parameters:
    rtti In case of QwtPlotItem::Rtti_PlotItem detach all items otherwise only those items of the type rtti.
    autoDelete If true, delete all detached items

  const QwtPlotItemList & QwtPlotDict::itemList () const

A QwtPlotItemList of all attached plot items. Use caution when iterating these lists, as removing/detaching an item will invalidate the iterator. Instead you can place pointers to objects to be removed in a removal list, and traverse that list later.

Returns:
    List of all attached plot items.

  QwtPlotItemList QwtPlotDict::itemList (intrtti) const
Returns:
    List of all attached plot items of a specific type.

See also:
    QwtPlotItem::rtti()

  void QwtPlotDict::setAutoDelete (boolautoDelete)
En/Disable Auto deletion

If Auto deletion is on all attached plot items will be deleted in the destructor of QwtPlotDict. The default value is on.

See also:
    autoDelete(), attachItem()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.